// priority: 1000
// Visit the wiki for more info - https://kubejs.com/
console.info('Hello, World! (Loaded solid_aluminium_casing.js)')


// solid_aluminium_casing
StartupEvents.registry('block', event => {
    event.create('solid_aluminium_casing')
        .displayName('Solid Aluminium Casing')
        .soundType('metal')
        .hardness(5.0)
        .resistance(6.0)
        .requiresTool(true)
})


/*
startup_scripts block registry
assets/kubejs/blockstates/solid_aluminium_casing.json (point to block model)
assets/kubejs/models/block/custom_casings/solid_aluminium_casing.json (parent minecraft:block/cube_all + texture key)
assets/kubejs/models/item/solid_aluminium_casing.json (item uses block model)
assets/kubejs/textures/block/custom_casings/solid_aluminium_casing/{standard,ctm}.png/mcmeta
*/